<?php

return [
    'nav_title' => 'Nodes',
    'model_label' => 'Node',
    'model_label_plural' => 'Nodes',
    'tabs' => [
        'overview' => 'Overview',
        'basic_settings' => 'Basic Settings',
        'advanced_settings' => 'Advanced Settings',
        'config_file' => 'Configuration File',
    ],
    'table' => [
        'health' => 'Health',
        'name' => 'Name',
        'address' => 'Address',
        'public' => 'Public',
        'servers' => 'Servers',
        'alias' => 'Alias',
        'ip' => 'IP',
        'egg' => 'Egg',
        'owner' => 'Owner',
    ],
    'node_info' => 'Node Information',
    'wings_version' => 'Wings Version',
    'cpu_threads' => 'CPU Threads',
    'architecture' => 'Architecture',
    'kernel' => 'Kernel',
    'unknown' => 'Unknown',
    'latest' => 'Latest',
    'node_uuid' => 'Node UUID',
    'node_id' => 'Node ID',

    'ip_address' => 'IP Address',
    'ip_help' => 'Usually your machine\'s public IP unless you are port forwarding.',
    'alias_help' => 'Optional display name to help you remember what these are.',
    'domain' => 'Domain Name',
    'ssl_ip' => 'You cannot connect to an IP Address over SSL',
    'error' => 'This is the domain name that points to your node\'s IP Address. If you\'ve already set up this, you can verify it by checking the next field!',
    'fqdn_help' => 'Your panel is currently secured via an SSL certificate and that means your nodes require one too. You must use a domain name, because you cannot get SSL certificates for IP Addresses.',
    'dns' => 'DNS Record Check',
    'dns_help' => 'This lets you know if you DNS record is pointing to the correct IP address.',
    'valid' => 'Valid',
    'invalid' => 'Invalid',
    'port' => 'Port',
    'ports' => 'Ports',
    'port_help' => 'If you are running the daemon behind Cloudflare you should set the daemon port to 8443 to allow websocket proxying over SSL.',
    'display_name' => 'Display Name',
    'ssl' => 'Communicate over SSL',
    'panel_on_ssl' => 'Your Panel is using a secure SSL connection,<br>so your Daemon must too.',
    'ssl_help' => 'An IP address cannot use SSL.',

    'tags' => 'Tags',
    'upload_limit' => 'Upload Limit',
    'upload_limit_help' => [
        'Enter the maximum size of files that can be uploaded through the web-based file manager.',
        'Make sure your webserver supports file uploads of this size!',
    ],
    'sftp_port' => 'SFTP Port',
    'sftp_alias' => 'SFTP Alias',
    'sftp_alias_help' => 'Display alias for the SFTP address. Leave empty to use the Node FQDN.',
    'use_for_deploy' => 'Use for Deployments?',
    'maintenance_mode' => 'Maintenance Mode',
    'maintenance_mode_help' => 'If the node is marked \'Under Maintenance\' users won\'t be able to access servers that are on that node',

    'cpu' => 'CPU',
    'cpu_limit' => 'CPU Limit',
    'memory' => 'Memory',
    'memory_limit' => 'Memory Limit',
    'disk' => 'Disk',
    'disk_limit' => 'Disk Limit',
    'unlimited' => 'Unlimited',
    'limited' => 'Limited',
    'overallocate' => 'Overallocate',
    'enabled' => 'Enabled',
    'disabled' => 'Disabled',
    'yes' => 'Yes',
    'no' => 'No',

    'instructions' => 'Instructions',
    'instructions_help' => 'Save this file to your daemon\'s root directory, named config.yml',

    'auto_deploy' => 'Auto Deploy Command',
    'auto_question' => 'Choose between Standalone and Docker install.',
    'standalone' => 'Standalone',
    'docker' => 'Docker',
    'auto_command' => 'To auto-configure your node run the following command:',
    'reset_token' => 'Reset Authorization Token',
    'token_reset' => 'The daemon token has been reset.',
    'reset_help' => 'Resetting the daemon token will void any request coming from the old token. This token is used for all sensitive operations on the daemon including server creation and deletion. We suggest changing this token regularly for security.',

    'no_nodes' => 'No Nodes',
    'cpu_chart' => 'CPU - :cpu% of :max%',
    'memory_chart' => 'Memory - :used of :total',
    'disk_chart' => 'Storage - :used of :total',
    'used' => 'Used',
    'unused' => 'Unused',

    'next_step' => 'Next Step',
    'node_has_servers' => 'Node Has Servers',
    'create_allocation' => 'Create Allocation',
    'primary_allocation' => 'Primary Allocation',
    'databases' => 'Databases',
    'backups' => 'Backups',

    'error_connecting' => 'Error connecting to :node',
    'error_connecting_description' => 'The configuration could not be automatically updated on Wings, you will need to manually update the configuration file.',
];
